package com.ruoyi.ai.domain.enums;


public enum AiConfigEnum {

    TEXT_TO_IMG_1("1", "ai_function_type","快捷生图"),

    IMG_TO_IMG_11("11", "ai_function_type","一键脱衣"),
    IMG_TO_IMG_12("12", "ai_function_type","图生图2"),
    IMG_TO_IMG_13("13", "ai_function_type","一键换脸"),

    IMG_TO_VID_21("21", "ai_function_type","快捷生视频"),
    IMG_TO_VID_22("22", "ai_function_type","视频换脸"),

    SYS_INVITE_COMMISSION("sys.invite.commission", "sys.invite.commission","一级返佣比例%"),
    SYS_TOTAL_AMOUNT("sys.total.amount", "sys.total.amount","用户累充金额"),
    SYS_PORTAL_LOGO("sys.portal.logo", "sys.portal.logo","门户端logo"),


    ;

    private String value;
    private String type;
    private String label;

    AiConfigEnum(final String value, final String type, final String label) {
        this.value = value;
        this.type = type;
        this.label = label;
    }

    public String getValue() {
        return this.value;
    }

    public String getType() {
        return this.type;
    }

    public String getLabel() {
        return this.label;
    }

}
